#include "io430.h"
#include <stdbool.h>
#include "display01.h" // fr waitOneMillisecond

bool isButtonPressed(void);

int main(void)
{
  initialize();
  
  P1DIR = 0x41;
  P1OUT = 0;  

  int j = 0;
  while(true)
  {
    int i = 0;
    while(!isButtonPressed())
    {
      waitOneMillisecond();
      i++;
      if(i >= 1000)
      {
        i = 0;
      }
      if(i == 0)
      {
        P1OUT = 1;
      }
      else if(i == 500)
      {
        P1OUT = 0x40;
      }      
    }
    j++;
    if(j%2 == 0)
    {
      P1OUT = 1;
    }
    else
    {
      P1OUT = 0x40;
    }   
    while(isButtonPressed())
    {
      waitOneMillisecond();
    }
  }
  // return 0;
}

  
bool isButtonPressed(void)
{
  return (P1IN & 8) == 0;
}
